On Wed, Jan 25, 2012 at 2:42 PM, Josh Hemann <jhemann@sportsauthority.com> wrote:
I have some code that has worked in matplotlib versions 0.99 and 1.0.1. Recently, I updated to 1.1.0 and my code broke, specifically in a call to colorbar(). I tried running this gallery example and get the same error. Here is the snippet: The error results from the first call to colorbar in the example, which is cbar = fig.colorbar(cax, ticks=[-1, 0, 1]) My internet searches have not revealed anything yet. Has anyone seen or reported this issue? Any clean work-arounds?
Josh Hemann


Hi Josh,

Do you get the error with the gallery example, or some modified version of it? The example runs fine on my system (but I'm on a more recent development version).

Is there any chance that your installation got screwed up? How did you upgrade?

-Tony